[Snort-users] lex is insufficient? (daq 0.6.2)

tgiles at ...14981... tgiles at ...14981...
Fri Dec 16 09:36:26 EST 2011


> tom
> Check the bit that should be right above it in config.log to see what 
> it's failing to do when checking for flex and bison.

Hi, Michael.

Nothing actionable I noticed. I've put the full config.log on pastebin here: http://pastebin.com/uEJtuZFc but here are the immediate 5 or so lines before the error.

The only other error I noted in the config.log was for "conftest.c:11:28: error: ac_nonexistent.h: No such file or directory". But, since the name of the file is "nonexistent", I ignored the message.

Thanks for any input you might have!

tom

configure:11322: gcc -c -g -O2 -fvisibility=hidden -Wall -Wwrite-strings -Wsign-compare -Wcast-align -Wextra -Wformat -Wformat-security -Wno-unused-parameter -fno-strict-aliasing -fdiagnostics-show-option -pedantic -Werror  -pedantic -std=c99 -D_GNU_SOURCE  conftest.c >&5
configure:11322: $? = 0
configure:11337: result: -pedantic -std=c99 -D_GNU_SOURCE
configure:11350: : CFLAGS="$CFLAGS $var"
configure:11353: $? = 0
configure:11372: checking for getaddrinfo
configure:11372: gcc -o conftest -g -O2 -fvisibility=hidden -Wall -Wwrite-strings -Wsign-compare -Wcast-align -Wextra -Wformat -Wformat-security -Wno-unused-parameter -fno-strict-aliasing -fdiagnostics-show-option -pedantic -std=c99 -D_GNU_SOURCE   conftest.c  >&5
configure:11372: $? = 0
configure:11372: result: yes
configure:11538: checking for capable lex
configure:11549: result: insufficient
configure:11552: error: Your operating system's lex is insufficient to compile
         libsfbpf. You should install both bison and flex.
         flex is a lex replacement that has many advantages,
         including being able to compile libsfbpf.  For more
         information, see http://www.gnu.org/software/flex/flex.html .

## ---------------- ##
## Cache variables. ##
## ---------------- ##








More information about the Snort-users mailing list